Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum JFaceFont

    java.lang.Object
      java.lang.Enum<JFaceFont>
          org.eclipse.gmf.codegen.gmfgen.JFaceFont

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JFaceFont>, org.eclipse.emf.common.util.Enumerator

    public enum JFaceFont

extends java.lang.Enum<JFaceFont>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'JFace Font', and utility methods for working with them.

See Also:
  `GMFGenPackage.getJFaceFont()`
** Generated **
Model:

Enum Constant Summary
`BANNER_LITERAL` The 'Banner' literal object
`DEFAULT_LITERAL` The 'Default' literal object
`DIALOG_LITERAL` The 'Dialog' literal object
`HEADER_LITERAL` The 'Header' literal object
`TEXT_LITERAL` The 'Text' literal object

Field Summary
`static int` `BANNER` The 'Banner' literal value
`static int` `DEFAULT` The 'Default' literal value
`static int` `DIALOG` The 'Dialog' literal value
`static int` `HEADER` The 'Header' literal value
`static int` `TEXT` The 'Text' literal value
`static java.util.List<JFaceFont>` `VALUES` A public read-only list of all the 'JFace Font' enumerators

Method Summary
`static JFaceFont` `get(int value)` Returns the 'JFace Font' literal with the specified integer value
`static JFaceFont` `get(java.lang.String literal)` Returns the 'JFace Font' literal with the specified literal value
`static JFaceFont` `getByName(java.lang.String name)` Returns the 'JFace Font' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static JFaceFont` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JFaceFont[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT_LITERAL

    public static final JFaceFont DEFAULT_LITERAL

  The 'Default' literal object.

  See Also:
    `DEFAULT`
  ** Generated **
  Ordered:

### TEXT_LITERAL

    public static final JFaceFont TEXT_LITERAL

  The 'Text' literal object.

  See Also:
    `TEXT`
  ** Generated **
  Ordered:

### BANNER_LITERAL

    public static final JFaceFont BANNER_LITERAL

  The 'Banner' literal object.

  See Also:
    `BANNER`
  ** Generated **
  Ordered:

### DIALOG_LITERAL

    public static final JFaceFont DIALOG_LITERAL

  The 'Dialog' literal object.

  See Also:
    `DIALOG`
  ** Generated **
  Ordered:

### HEADER_LITERAL

    public static final JFaceFont HEADER_LITERAL

  The 'Header' literal object.

  See Also:
    `HEADER`
  ** Generated **
  Ordered:

Field Detail

### DEFAULT

    public static final int DEFAULT

  The 'Default' literal value.

  If the meaning of 'Default' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEFAULT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Default"

### TEXT

    public static final int TEXT

  The 'Text' literal value.

  If the meaning of 'Text' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TEXT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Text"

### BANNER

    public static final int BANNER

  The 'Banner' literal value.

  If the meaning of 'Banner' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BANNER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Banner"

### DIALOG

    public static final int DIALOG

  The 'Dialog' literal value.

  If the meaning of 'Dialog' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DIALOG_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Dialog"

### HEADER

    public static final int HEADER

  The 'Header' literal value.

  If the meaning of 'Header' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HEADER_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Header"

### VALUES

    public static final java.util.List<JFaceFont> VALUES

  A public read-only list of all the 'JFace Font' enumerators.

  ** Generated **

Method Detail

### values

    public static JFaceFont[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JFaceFont c : JFaceFont.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JFaceFont valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static JFaceFont get(java.lang.String literal)

  Returns the 'JFace Font' literal with the specified literal value.

  ** Generated **

### getByName

    public static JFaceFont getByName(java.lang.String name)

  Returns the 'JFace Font' literal with the specified name.

  ** Generated **

### get

    public static JFaceFont get(int value)

  Returns the 'JFace Font' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<JFaceFont>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.